package com.oguerreiro.resilient.service.mapper;

import static com.oguerreiro.resilient.domain.InputDataAsserts.*;
import static com.oguerreiro.resilient.domain.InputDataTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class InputDataMapperTest {

    private InputDataMapper inputDataMapper;

    @BeforeEach
    void setUp() {
        inputDataMapper = new InputDataMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getInputDataSample1();
        var actual = inputDataMapper.toEntity(inputDataMapper.toDto(expected));
        assertInputDataAllPropertiesEquals(expected, actual);
    }
}
